Jump to content

Cant select server to upgrade from 6.x to 7.0


Recommended Posts

Hello,

I installed eset 6.x version on a domain controller, i wanted after this to update. When i try to upgrade components from client tasks i accept terms and i have to choose server, when i press to choose server it shows nothing so i cannot upgrade. (i checked license and its ok)

I tried to restart services, change port to tomcat (reinstall tomcat) nothing worked so far.4p6EoSB.png

Link to comment
Share on other sites

  • Administrators

What version of ERA do you have?

As per https://help.eset.com/protect_admin/81/en-US/client_tasks_upgrade_components.html, only upgrade from ERA 6.5 and newer is supported by the ERA component upgrade task.

Anyways, since the task upgrades only ESET components I'd recommend
- backing up the database as well as exporting the peer agent and server certificates and the CA certificate too
a) running the latest ESET PROTECT All-In-One installer if you have it on a Windows server
b) deploying the latest ESET PROTECT virtual appliance and performing migration as per https://help.eset.com/protect_install/81/en-US/clean_installation_same_ip.html

Link to comment
Share on other sites

  • Administrators

As stated above, you cannot upgrade to ESET PROTECT 8.1 via a component upgrade task. The minimum version supported by the upgrade task is ERA v6.5 but you wrote you had v6.4.

If you have ERA v6.4 installed on a Windows server:
- back up the database
- export the peer certificates as well as the CA certificate
- run the ESET PROTECT All-in-One installer to upgrade all components to the latest version.

Link to comment
Share on other sites

  • Administrators

Please open a support ticket with your local ESET distributor for further troubleshooting of the SQL Express installation issue.

Link to comment
Share on other sites

@Nikos Antonopoulos 

This is what I would recommend when upgrading from 6.4. 

1. download the 6.5 server msi >>https://download.eset.com/com/eset/apps/business/era/server/windows/v6/latest/server_x64.msi

2. Run the MSI to do upgrade over the top by using the defaults. If you get some kind of access denied then you will need to enter database user name. usually era_user and password is located in >> C:\ProgramData\ESET\RemoteAdministrator\Server\EraServerApplicationData\Configuration

3. If you are running SQL Server express 2008 then you will need to upgrade that to 2014 at minimum. The all in one may do it. upgrades of SQL usually require reboot. 

4. After reboot download the EP 8.x installer >> https://download.eset.com/com/eset/apps/business/era/allinone/latest/x64.zip

5. run the setup.exe and try the upgrade all components option now. 

If any of them fail just uninstall and then do install from all in one. Tomcat may need full re-install. 

Also if you are running Java 32 bit you will need to uninstall and install Java 64 bit >> 

 

https://support.eset.com/en/kb7088-install-esmc-web-console-using-jdk

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...